# Uses of Class
javafx.scene.transform.TransformChangedEvent

Packages that use TransformChangedEvent
Package
Description
javafx.scene.transform
Provides the set of convenient classes to perform rotating, scaling, shearing, and translation transformations for `Affine` objects.

## Uses of TransformChangedEvent in javafx.scene.transform

Fields in javafx.scene.transform with type parameters of type TransformChangedEvent
Modifier and Type
Field
Description
`static final EventType<TransformChangedEvent>`
TransformChangedEvent.`ANY`
Common supertype for all transform changed event types.
`static final EventType<TransformChangedEvent>`
TransformChangedEvent.`TRANSFORM_CHANGED`
The only valid EventType for the TransformChangedEvent.
Methods in javafx.scene.transform that return types with arguments of type TransformChangedEvent
Modifier and Type
Method
Description
`final EventHandler<? super TransformChangedEvent>`
Transform.`getOnTransformChanged()`
Gets the onTransformChanged event handler.
`final ObjectProperty<EventHandler<? super TransformChangedEvent>>`
Transform.`onTransformChangedProperty()`
The onTransformChanged event handler is called whenever the transform changes any of its parameters.
Method parameters in javafx.scene.transform with type arguments of type TransformChangedEvent
Modifier and Type
Method
Description
`final void`
Transform.`setOnTransformChanged(EventHandler<? super TransformChangedEvent> value)`
Sets the onTransformChanged event handler which is called whenever the transform changes any of its parameters.